## valgrind 3.10.1

=== debian/changelog ===
valgrind (1:3.10.1-1ubuntu3~14.5) trusty-security; urgency=medium

  * SECURITY UPDATE: integer overflow in string_appends
    - debian/patches/CVE-2016-2226.patch: check for overflow in
      coregrind/m_demangle/cplus-dem.c, add xmalloc_failed and xmemdup to
      coregrind/m_demangle/vg_libciface.h.
    - CVE-2016-2226
  * SECURITY UPDATE: use-after-free vulnerabilities
    - debian/patches/CVE-2016-4487_4488.patch: set bsize and ksize in
      coregrind/m_demangle/cplus-dem.c.
    - CVE-2016-4487
    - CVE-2016-4488
  * SECURITY UPDATE: integer overflow in gnu_special
    - debian/patches/CVE-2016-4489.patch: handle case where consume_count
      returns -1 in coregrind/m_demangle/cplus-dem.c.
    - CVE-2016-4489
  * SECURITY UPDATE: integer overflow after sanity checks
    - debian/patches/CVE-2016-4490.patch: parse numbers as integer instead
      of long in coregrind/m_demangle/cp-demangle.c.
    - CVE-2016-4490
  * SECURITY UPDATE: denial of service via infinite recursion
    - debian/patches/CVE-2016-4491.patch: limit recursion in
      coregrind/m_demangle/cp-demangle.c, coregrind/m_demangle/demangle.h.
    - CVE-2016-4491
  * SECURITY UPDATE: buffer overflow in do_type
    - debian/patches/CVE-2016-4492_4493.patch: properly handle large values
      and overflow in coregrind/m_demangle/cplus-dem.c.
    - CVE-2016-4492
    - CVE-2016-4493
  * SECURITY UPDATE: denial of service via infinite recursion
    - debian/patches/CVE-2016-6131.patch: prevent infinite recursion in
      coregrind/m_demangle/cplus-dem.c, add XDUPVEC to
      coregrind/m_demangle/vg_libciface.h.
    - CVE-2016-6131
  * debian/patches/new_kernel.patch: fix building on newer kernels.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 07 Jun 2017 15:28:55 -0400

valgrind (1:3.10.1-1ubuntu3~14.04) trusty-proposed; urgency=medium

  * SRU. Backport the 1.10 series to 14.04 for ppc64el support. LP: #1386524.
  * Also fixes segfault on ppc64el, LP: #1377796.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jul 2015 09:37:42 +0200

valgrind (1:3.10.1-1ubuntu3) wily; urgency=medium

  * Build with GCC fixing PR target/65456. LP: #1434222.
  * Fix DCACHEBSIZE and HWCAP2 issues. LP: #1428002.
  * Fix bash command completion to respect end of options argument (--).
    LP: #840467.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 15 Jul 2015 09:48:13 +0200

valgrind (1:3.10.1-1ubuntu2) vivid; urgency=medium

  * Build for glibc-2.21. LP: #1435261.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Mar 2015 22:10:58 +0100

valgrind (1:3.10.1-1ubuntu1) vivid; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove valgrind-mpi package from Ubuntu and any references to it, as
      mpi-default-dev is in universe for the time being.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 26 Feb 2015 09:25:34 +0100

valgrind (1:3.10.1-1) unstable; urgency=medium

  * New upstream release
  * Install all header files again, they are needed to build third-party
    plugins (Closes: #771900)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 31 Jan 2015 22:00:31 +0100

valgrind (1:3.10.0-0ubuntu1) utopic; urgency=medium

  * Upstream release 3.10.0.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 12 Sep 2014 14:53:34 +0200

valgrind (1:3.10.0~BETA2-0ubuntu1) utopic; urgency=medium

  * Upstream release 3.10.0 BETA2. LP: #1355530.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 09 Sep 2014 03:25:01 +0200
