=== debian/rules ===
#!/usr/bin/make -f

CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS  += "-I/usr/include/$(DEB_HOST_GNU_TYPE)"   # fixes #676029
LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)

ifeq ($(DEB_HOST_ARCH),mipsel)
	CFLAGS += -mips2 # fixes 710307
endif

ifeq ($(DEB_HOST_ARCH_CPU),arm)
	DH_STRIP_OPTS := -X vgpreload
else
	DH_STRIP_OPTS :=
endif

CONFARGS = --enable-tls
ifeq ($(DEB_HOST_ARCH_CPU),arm64)
  CONFARGS += --enable-only64bit
endif

%:
	dh $@ --parallel --with=autoreconf,bash-completion

override_dh_auto_configure:
	dh_auto_configure -- $(CONFARGS) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"

override_dh_auto_test:
	: # do nothing for now

override_dh_auto_build:
	dh_auto_build --parallel
	$(MAKE) -C docs FAQ.txt
	$(MAKE) -C docs html-docs
	$(MAKE) -C docs man-pages

override_dh_shlibdeps:
	dh_shlibdeps -Xdebian/valgrind/usr/lib/valgrind/getoff-x86-linux # fixes #762386

override_dh_strip:
	dh_strip --dbg-package=valgrind-dbg $(DH_STRIP_OPTS)

target=$(CURDIR)/debian/valgrind
override_dh_install:
	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
	dh_install -pvalgrind
	mv -f $(target)/usr/bin/valgrind $(target)/usr/bin/valgrind.bin
	mv -f ${target}/usr/bin/valgrind.sh $(target)/usr/bin/valgrind
	dh_install --remaining-packages

override_dh_installchangelogs:
	dh_installchangelogs NEWS
