## valgrind 3.11.0

=== debian/changelog ===
valgrind (1:3.11.0-1ubuntu4) xenial; urgency=medium

  * Add additional fix required for popcnt support. LP: #1569391.

 -- dann frazier <dannf@ubuntu.com>  Tue, 12 Apr 2016 10:40:46 -0500

valgrind (1:3.11.0-1ubuntu3) xenial; urgency=medium

  * Fixes for s390x, LP: #1563420:
    - 15_s390x-HWCAP-mask.patch: Suppress advertising features
      in HWCAP that are unsupported by valgrind.
    - 16_s390x_popcnt-insn.patch: Add support for popcnt instruction.
    - 17_s390x-splitout-socketcalls.patch: Support individual socket
      syscalls, which were split out from socketcall in Linux 4.3.
  * 18_s390x-support-RISBGN-insn.patch: Fix issue with binaries
    compiled for zEC12 or higher, such as Ubuntu's dynamic loader.
    LP: #1556765.
  * Add smoke test for autopkgtest.

 -- dann frazier <dannf@ubuntu.com>  Fri, 01 Apr 2016 19:16:07 +0000

valgrind (1:3.11.0-1ubuntu2) xenial; urgency=medium

  * Rebuild for glibc-2.23. LP: #1435261.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 22 Mar 2016 16:06:17 +0100

valgrind (1:3.11.0-1ubuntu1) wily; urgency=medium

  * Merge with Debian; remaining changes:
    - Remove valgrind-mpi package from Ubuntu and any references to it, as
      mpi-default-dev is in universe for the time being.
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 30 Sep 2015 13:06:33 +0200

valgrind (1:3.11.0-1) unstable; urgency=medium

  * New upstream release (Closes: #800013)
    - Fix false positives on socket calls with not specially handled address
      families (Closes: #798543)
  * Update 07_fix-spelling-in-binary.patch
  * Drop 12_kernel-4.0.patch and 13_glibc-check.patch (merged upstream)
  * Refresh patches
  * Disable stack protector to avoid build failure
  * Fix empty-short-license-in-dep5-copyright

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 25 Sep 2015 13:40:57 +0200

valgrind (1:3.10.1-4) unstable; urgency=medium

  * Drop bash completion file (Closes: #789627)
    bash-completion provides valgrind completion as well
  * Add 14_mips-fpxx.patch to make valgrind compatible with MIPS FPXX ABI
    (Closes: #789665)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 23 Jun 2015 14:14:44 +0200

valgrind (1:3.10.1-3) unstable; urgency=medium

  * Add suppression for OpenMP and libgomp (Closes: #783685)
  * Add 12_kernel-4.0.patch to fix FTBFS on Linux >= 4.0 (Closes: #783504)
  * Add 13_glibc-check.patch to generalize glibc version check
  * Install bash completion into the proper directory

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 22 Jun 2015 19:24:31 +0200

valgrind (1:3.10.1-2) unstable; urgency=medium

  * Use -mips2 on mips too (not just mipsel) (Closes: #777666)
  * Determine page size at runtime on MIPS (Closes: #777669)
  * Disable the MIPS linker workarounds when using -Ttext-section.
    Thanks to James Cowgill for the patch (Closes: #777704)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 25 Apr 2015 13:10:13 +0200
