=== debian/control ===
--- 
+++ 
@@ -5,7 +5,6 @@
 XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
 Uploaders: Roland Stigge <stigge@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
- bash-completion,
  dh-autoreconf,
  gdb,
  gcc-multilib [amd64],
@@ -18,6 +17,7 @@
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/valgrind.git
 Vcs-Git: git://anonscm.debian.org/collab-maint/valgrind.git
 Homepage: http://www.valgrind.org/
+Testsuite: autopkgtest
 
 Package: valgrind
 Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32
