## valgrind 3.12.0~svn20160714

=== debian/changelog ===
valgrind (1:3.12.0~svn20160714-1) unstable; urgency=medium

  * New upstream snapshot release
    - Add support for compressed debuginfo (Closes: #810295)
  * Drop MIPS patches (merged/fixed upstream)
  * Refresh patches
  * Add smoke test for autopkgtest
    Thanks to dann frazier for the patch (Closes: #819813)
  * Update 07_fix-spelling-in-binary.patch
  * Update Standards-Version to 3.9.8 (no changes needed)
  * Update Vcs-* URLs

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 15 Jul 2016 00:15:43 +0100
