=== debian/control ===
--- 
+++ 
@@ -1,29 +1,29 @@
 Source: valgrind
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
+Maintainer: Alessandro Ghedini <ghedo@debian.org>
 Uploaders: Roland Stigge <stigge@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  dh-autoreconf,
  gdb,
  gcc-multilib [amd64],
  libc6-dev-i386 [amd64],
+ mpi-default-dev,
  docbook,
  docbook-xsl,
  docbook-xml,
  xsltproc
-Standards-Version: 3.9.6
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/valgrind.git
-Vcs-Git: git://anonscm.debian.org/collab-maint/valgrind.git
+Standards-Version: 3.9.8
+Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/valgrind.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/valgrind.git
 Homepage: http://www.valgrind.org/
 Testsuite: autopkgtest
 
 Package: valgrind
 Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32
 Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
-Suggests: valgrind-dbg, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
-Recommends: gdb
+Suggests: valgrind-mpi, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
+Recommends: valgrind-dbg, gdb
 Breaks: valgrind-dev
 Replaces: valgrind-dev
 Description: instrumentation framework for building dynamic analysis tools
@@ -57,3 +57,17 @@
  Valgrind to build new tools.
  .
  This package provides the debug symbols for valgrind's tools and libraries.
+
+Package: valgrind-mpi
+Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32
+Depends: ${misc:Depends}, ${shlibs:Depends}, valgrind (= ${binary:Version})
+Recommends: gdb
+Description: instrumentation framework for building dynamic analysis tools (MPI module)
+ Valgrind is a system for debugging and profiling Linux programs. With its tool
+ suite you can automatically detect many memory management and threading bugs,
+ avoiding hours of frustrating bug-hunting and making your programs more stable.
+ You can also perform detailed profiling to help speed up your programs and use
+ Valgrind to build new tools.
+ .
+ This package provides the "mpiwrap" library for debugging distributed-memory
+ applications which use the MPI message passing standard.
