## valgrind 3.12.0

=== debian/changelog ===
valgrind (1:3.12.0-1ubuntu1) zesty; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
  * Dropped changes, included upstream:
    - Cherry-pick upstream patch to fix assertions on arm.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 13 Nov 2016 10:09:58 -0800

valgrind (1:3.12.0-1) unstable; urgency=medium

  * New upstream release
    - Fix incorrect assertion re sizeof TTEntryC on arm-linux
      (Closes: #838203)
  * Update and refresh patches

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 03 Nov 2016 01:53:11 +0000

valgrind (1:3.12.0~svn20160714-1ubuntu3) zesty; urgency=medium

  * No-change rebuild against libopenmpi2

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 22 Oct 2016 01:59:45 +0000

valgrind (1:3.12.0~svn20160714-1ubuntu2) yakkety; urgency=medium

  * Cherry-pick upstream patch to fix assertions on arm. LP: #1612429

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 11 Aug 2016 23:18:04 +0100

valgrind (1:3.12.0~svn20160714-1ubuntu1) yakkety; urgency=medium

  * Merge with Debian (LP: #1567219) remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.

  * Reintroduce universe/valgrind-mpi package, as archive reorg is done.
  * Drop s390x patches, applied upstream.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 11 Aug 2016 14:10:25 +0100

valgrind (1:3.11.0-1ubuntu5) yakkety; urgency=medium

  * No change rebuild to fix miscompilation on s390x. LP: #1572613

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 26 Apr 2016 13:14:26 +0100
