=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,22 @@
 	CFLAGS += -mips2 # fixes 710307, #777666
 endif
 
+ifeq ($(DEB_HOST_ARCH_CPU),arm)
+	DH_STRIP_OPTS := -X vgpreload
+else
+	DH_STRIP_OPTS :=
+endif
+
+CONFARGS = --enable-tls
+ifeq ($(DEB_HOST_ARCH_CPU),arm64)
+  CONFARGS += --enable-only64bit
+endif
+
 %:
 	dh $@ --parallel --with=autoreconf
 
 override_dh_auto_configure:
-	dh_auto_configure -- --enable-tls CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
+	dh_auto_configure -- $(CONFARGS) CFLAGS="$(CFLAGS)" LDFLAGS="$(LDFLAGS)"
 
 override_dh_auto_test:
 	: # do nothing for now
@@ -31,7 +42,7 @@
 	dh_shlibdeps -Xdebian/valgrind/usr/lib/valgrind/getoff-x86-linux # fixes #762386
 
 override_dh_strip:
-	dh_strip --dbg-package=valgrind-dbg
+	dh_strip --dbg-package=valgrind-dbg $(DH_STRIP_OPTS)
 
 target=$(CURDIR)/debian/valgrind
 override_dh_install:
