## valgrind 3.13.0

=== debian/changelog ===
valgrind (1:3.13.0-2ubuntu2) bionic; urgency=medium

  * No-change rebuild against glibc 2.27 to update suppressions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 27 Feb 2018 22:52:04 -0800

valgrind (1:3.13.0-2ubuntu1) bionic; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
  * Dropped patches applied in Debian:
    - Fix typo, syscall param epoll_pwait(sigmask) points to unaddressable
      byte(s). LP 1726711.

 -- Julian Andres Klode <juliank@ubuntu.com>  Wed, 24 Jan 2018 20:55:02 +0100

valgrind (1:3.13.0-2) unstable; urgency=medium

  * Fix handling command line option --xml-socket (Closes: #870419)
  * Fix handling of epoll_pwait with a NULL sigmask (Closes: #886364)
  * Set valgrind-dbg Priority to optional as per new policy
  * Bump Standards-Version to 4.1.3 (no changes needed)
  * Point Vcs-* to salsa.d.o
  * Fix insecure-copyright-format-uri
  * Fix unnecessary-testsuite-autopkgtest-header
  * Install pkg-config file to multi-arch location.
    Thanks to Helmut Grohne for the patch (Closes: #885003)

 -- Alessandro Ghedini <ghedo@debian.org>  Tue, 23 Jan 2018 23:09:13 +0000

valgrind (1:3.13.0-1ubuntu3) artful-proposed; urgency=medium

  * SRU: Fix typo, syscall param epoll_pwait(sigmask) points to unaddressable
    byte(s). LP: #1726711.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 24 Oct 2017 11:56:21 +0200

valgrind (1:3.13.0-1ubuntu2) artful; urgency=medium

  * No-change rebuild against glibc 2.26 to update suppressions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 11 Sep 2017 16:42:57 -0700

valgrind (1:3.13.0-1ubuntu1) artful; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
  * Dropped patches included in new version:
    - debian/patches/CVE-2016-4491.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 23 Aug 2017 11:16:48 -0400

valgrind (1:3.13.0-1) unstable; urgency=medium

  * New upstream release
    - Fix segfaults on MIPS Cavium Octeon boards (Closes: #854194)
    - Support compressed debuginfo sections (Closes: #677876)
  * Update watch file to point to new download site
  * Update Standards-Version to 4.0.0 (no changes needed)
  * Refresh patches
  * Remove Roland Stigge from Uploaders since he retired (Closes: #843367)

 -- Alessandro Ghedini <ghedo@debian.org>  Mon, 24 Jul 2017 00:41:05 +0100

valgrind (1:3.12.0-1.1ubuntu2) artful; urgency=medium

  * SECURITY UPDATE: denial of service via infinite recursion
    - debian/patches/CVE-2016-4491.patch: limit recursion in
      coregrind/m_demangle/cp-demangle.c, coregrind/m_demangle/demangle.h.
    - CVE-2016-4491

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 21 Jun 2017 13:43:20 -0400

valgrind (1:3.12.0-1.1ubuntu1) artful; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 27 Apr 2017 22:41:55 -0700

valgrind (1:3.12.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: Remove the -mips2 on mips/mipsel that is
    no longer required and now causes FTBFS. (Closes: #852306)

 -- Adrian Bunk <bunk@debian.org>  Thu, 02 Feb 2017 22:27:56 +0200
