=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: valgrind
 Section: devel
 Priority: optional
-Maintainer: Alessandro Ghedini <ghedo@debian.org>
-Uploaders: Roland Stigge <stigge@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
 Build-Depends: debhelper (>= 7.0.50~),
  dh-autoreconf,
  gdb,
@@ -13,17 +13,16 @@
  docbook-xsl,
  docbook-xml,
  xsltproc
-Standards-Version: 3.9.8
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/valgrind.git
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/valgrind.git
+Standards-Version: 4.1.3
+Vcs-Git: https://salsa.debian.org/debian/valgrind.git
+Vcs-Browser: https://salsa.debian.org/debian/valgrind
 Homepage: http://www.valgrind.org/
-Testsuite: autopkgtest
 
 Package: valgrind
 Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32
 Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
-Suggests: valgrind-mpi, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
-Recommends: valgrind-dbg, gdb
+Suggests: valgrind-dbg, valgrind-mpi, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
+Recommends: gdb
 Breaks: valgrind-dev
 Replaces: valgrind-dev
 Description: instrumentation framework for building dynamic analysis tools
@@ -45,7 +44,6 @@
   * a SimPoint basic block vector generator (BBV)
 
 Package: valgrind-dbg
-Priority: extra
 Section: debug
 Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32
 Depends: ${misc:Depends}, valgrind (= ${binary:Version})
