=== debian/watch ===
version=4
opts="uversionmangle=s/\.RC/\~RC/" \
https://sourceware.org/pub/valgrind/valgrind-(.*)\.tar\.bz2
