## valgrind 3.14.0

=== debian/changelog ===
valgrind (1:3.14.0-2ubuntu6) disco; urgency=medium

  * No-change rebuild against glibc 2.29 to update suppressions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 24 Feb 2019 05:52:20 +0000

valgrind (1:3.14.0-2ubuntu5) disco; urgency=medium

  * ppc64el fix POWER 3.0 addex instruction. LP: #1811071

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 28 Jan 2019 16:29:37 +0000

valgrind (1:3.14.0-2ubuntu4) disco; urgency=medium

  * s390x Fix vector facility bit.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 21 Jan 2019 17:13:06 +0000

valgrind (1:3.14.0-2ubuntu3) disco; urgency=medium

  * Cherrypick s390x/z13 fixes from valgrind master (3.15) LP: #1799696

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 16 Jan 2019 12:16:53 +0000

valgrind (1:3.14.0-2ubuntu2) disco; urgency=medium

  * debian/patches/usrmerge_support.patch: make valgrind aware of usrmerge;
    if we can't find the debug files under the full objpath (including /usr),
    also try the alternative path by stripping out /usr. (LP: #1808508)

 -- Mathieu Trudel-Lapierre <cyphermox@ubuntu.com>  Thu, 10 Jan 2019 12:06:54 -0500

valgrind (1:3.14.0-2ubuntu1) disco; urgency=medium

  * Merge with Debian; remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
    - Enable parallel builds.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Dec 2018 05:03:28 +0100

valgrind (1:3.14.0-2) unstable; urgency=medium

  * Fix path in dh_shlibdeps argument on non-x86 arches (Closes: #913822)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 15 Nov 2018 17:47:19 +0000

valgrind (1:3.14.0-1) unstable; urgency=medium

  * New upstream release (Closes: #913208)
    + Fix assertion `cfsi_fits` failing in simple C program (Closes: #909797)
  * Drop patches backported from upstream
  * Refresh patches
  * Bump Standards-Version to 4.2.1 (no changes needed)
  * Bump debhelper compat level to 11
  * Update install paths
  * Use pkg-config to detect MPI to fix cross-build.
    Thanks to Helmut Grohne for the patch (Closes: #902297)

 -- Alessandro Ghedini <ghedo@debian.org>  Thu, 15 Nov 2018 00:21:43 +0000

valgrind (1:3.14.0-0ubuntu3) disco; urgency=medium

  * New upstream release.
  * Remove patches applied upstream.
  * Bump debhelper to compat level 9.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 05 Nov 2018 08:25:13 +0100

valgrind (1:3.13.0-2.1) unstable; urgency=high

  * Non-maintainer upload.
  * backport: Accept read-only PT_LOAD segments and .rodata (Closes: #903389)
    + new patch: 12_Accept-read-only-PT_LOAD-segments-and-.rodata.patch

 -- Ansgar Burchardt <ansgar@debian.org>  Wed, 18 Jul 2018 23:21:57 +0200

valgrind (1:3.13.0-2ubuntu6) cosmic; urgency=medium

  * No-change rebuild against glibc 2.28 to update suppressions.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 27 Aug 2018 13:14:33 -0700

valgrind (1:3.13.0-2ubuntu5) cosmic; urgency=medium

  * Backport fix for ld -z separate-code.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Jul 2018 15:36:54 +0200

valgrind (1:3.13.0-2ubuntu4) cosmic; urgency=medium

  * Apply post 3.13 PPC64 related patches. LP: #1781128.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Jul 2018 09:40:44 +0200

valgrind (1:3.13.0-2ubuntu3) cosmic; urgency=medium

  * No-change rebuild for dune openmpi soname change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 13 May 2018 17:05:08 +0000
