=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
-Build-Depends: debhelper (>= 7.0.50~),
- dh-autoreconf,
+Build-Depends: debhelper (>= 11),
  gdb,
  gcc-multilib [amd64],
  libc6-dev-i386 [amd64],
  mpi-default-dev,
+ pkg-config,
  docbook,
  docbook-xsl,
  docbook-xml,
  xsltproc
-Standards-Version: 4.1.3
+Standards-Version: 4.2.1
 Vcs-Git: https://salsa.debian.org/debian/valgrind.git
 Vcs-Browser: https://salsa.debian.org/debian/valgrind
 Homepage: http://www.valgrind.org/
