=== debian/rules ===
--- 
+++ 
@@ -3,14 +3,12 @@
 # valgrind uses -fno-stack-protector
 export DEB_BUILD_MAINT_OPTIONS := hardening=-stackprotector,-stackprotectorstrong
 
+include /usr/share/dpkg/architecture.mk
+
 CFLAGS   = $(shell dpkg-buildflags --get CFLAGS)
 CFLAGS  += $(shell dpkg-buildflags --get CPPFLAGS)
-CFLAGS  += "-I/usr/include/$(DEB_HOST_GNU_TYPE)"   # fixes #676029
+CFLAGS  += "-I/usr/include/$(DEB_HOST_MULTIARCH)"   # fixes #676029
 LDFLAGS  = $(shell dpkg-buildflags --get LDFLAGS)
-
-ifneq (,$(filter $(DEB_HOST_ARCH), mips mipsel))
-	CFLAGS += -mips2 # fixes 710307, #777666
-endif
 
 ifeq ($(DEB_HOST_ARCH_CPU),arm)
 	DH_STRIP_OPTS := -X vgpreload
@@ -39,7 +37,7 @@
 	$(MAKE) -C docs man-pages
 
 override_dh_shlibdeps:
-	dh_shlibdeps -Xdebian/valgrind/usr/lib/valgrind/getoff-x86-linux # fixes #762386
+	dh_shlibdeps -Xdebian/valgrind/usr/lib/$(DEB_HOST_MULTIARCH)/valgrind/getoff-x86-linux # fixes #762386
 
 override_dh_strip:
 	dh_strip --dbg-package=valgrind-dbg $(DH_STRIP_OPTS)
