## valgrind 3.15.0

=== debian/changelog ===
valgrind (1:3.15.0-1ubuntu9) focal; urgency=medium

  * Prevent valgrind trying to use unrecognised z14/z15 instructions. LP:
    #1866211

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 03 Apr 2020 11:34:19 +0100

valgrind (1:3.15.0-1ubuntu8) focal; urgency=medium

  * No-change rebuild for glibc 2.31.

 -- Matthias Klose <doko@ubuntu.com>  Fri, 06 Mar 2020 14:39:58 +0100

valgrind (1:3.15.0-1ubuntu7) focal; urgency=medium

  * Cherry pick upstream commit Bug 416301 - s390x: Support
    "compare and signal" instructions (LP: #1862183)

 -- Julian Andres Klode <juliank@ubuntu.com>  Thu, 06 Feb 2020 15:49:24 +0100

valgrind (1:3.15.0-1ubuntu6) focal; urgency=medium

  * debian/valgrind.install:
    - include /usr/libexec/valgrind which ships the dh_view tools
      (lp: #1856067)
  * debian/rules:
    - use dh_missing --fail-missing to we don't overlook not install files

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Dec 2019 16:18:01 +0100

valgrind (1:3.15.0-1ubuntu5) focal; urgency=medium

  * Drop MPI 1 support to fix FTBFS with openmpi 4.0

 -- Balint Reczey <rbalint@ubuntu.com>  Thu, 28 Nov 2019 19:35:25 +0100

valgrind (1:3.15.0-1ubuntu4) focal; urgency=medium

  * Don't look for debug alt file in debug image if it is already found
    (LP: #1848211)

 -- Balint Reczey <rbalint@ubuntu.com>  Wed, 27 Nov 2019 13:52:54 +0100

valgrind (1:3.15.0-1ubuntu3) eoan; urgency=medium

  * No-change upload with strops.h and sys/strops.h removed in glibc.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Sep 2019 11:14:57 +0000

valgrind (1:3.15.0-1ubuntu2) eoan; urgency=medium

  * debian/patches/armv7-illegal-opcode.patch: fix a crash due to an
    unhandled thumb instruction on armhf.  Closes LP: #1837068.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 01 Aug 2019 08:22:37 -0700

valgrind (1:3.15.0-1ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
    - Enable parallel builds.
    - debian/patches/usrmerge_support.patch: make valgrind aware of usrmerge;
      if we can't find the debug files under the full objpath (including /usr),
      also try the alternative path by stripping out /usr.
  * Dropped changes, which had been cherry-picked from upstream:
    - Cherrypick s390x/z13 fixes from valgrind master (3.15)
    - s390x Fix vector facility bit.
    - ppc64el fix POWER 3.0 addex instruction.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 15 Jul 2019 22:09:50 -0700

valgrind (1:3.15.0-1) unstable; urgency=medium

  * New upstream release
  * Refresh patches
  * Bump STandards-Version to 4.4.0 (no changes needed)
  * Add additional suppressions for helgrind+drd false positives with glibc 2.28.
    Thanks to Adam Borowski for the patch (Closes: #931315)
  * Fix handling of cache flush instructions on arm64.
    Thanks to Adam Borowski for the patch (Closes: #930708)
  * Remove trailing empty line in changelog
  * Update moved paths in copyright
  * Update 08_fix-spelling-in-manpage.patch
  * Update lintian overrides for dhat
  * Update moved paths in copyright
  * Update 08_fix-spelling-in-manpage.patch
  * Update lintian overrides for dhat

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 14 Jul 2019 11:23:29 +0100

valgrind (1:3.14.0-3ubuntu1) eoan; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
    - Enable parallel builds.
    - debian/patches/usrmerge_support.patch: make valgrind aware of usrmerge;
      if we can't find the debug files under the full objpath (including /usr),
      also try the alternative path by stripping out /usr.
    - Cherrypick s390x/z13 fixes from valgrind master (3.15)
    - s390x Fix vector facility bit.
    - ppc64el fix POWER 3.0 addex instruction.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Mon, 22 Apr 2019 11:25:18 -0700

valgrind (1:3.14.0-3) unstable; urgency=medium

  * Add suppressions for helgrind+drd false positives with glibc 2.28.
    Thanks to Adam Borowski (Closes: #918023)
  * Bump debhlper compat level to 12
  * Bump Standards-Version to 4.3.0 (no changes needed)
  * Disable dh_dwz for now (seems to cause FTBFS)

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 09 Feb 2019 19:14:13 +0000
