=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 12),
  gdb,
  gcc-multilib [amd64],
  libc6-dev-i386 [amd64],
@@ -13,7 +13,7 @@
  docbook-xsl,
  docbook-xml,
  xsltproc
-Standards-Version: 4.2.1
+Standards-Version: 4.4.0
 Vcs-Git: https://salsa.debian.org/debian/valgrind.git
 Vcs-Browser: https://salsa.debian.org/debian/valgrind
 Homepage: http://www.valgrind.org/
