=== debian/rules ===
--- 
+++ 
@@ -42,6 +42,9 @@
 override_dh_strip:
 	dh_strip --dbg-package=valgrind-dbg $(DH_STRIP_OPTS)
 
+override_dh_dwz:
+	: # do nothing for now
+
 target=$(CURDIR)/debian/valgrind
 override_dh_install:
 	dh_install -pvalgrind -Xlibmpiwrap
@@ -52,3 +55,6 @@
 
 override_dh_installchangelogs:
 	dh_installchangelogs NEWS
+	
+override_dh_missing:
+	dh_missing --fail-missing
