## valgrind 3.16.1

=== debian/changelog ===
valgrind (1:3.16.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.5.0 (no changes needed)
  * Bump debhelper compat level to 13
  * Drop 07_fix-spelling-in-binary.patch (merged upstream)
  * Update 08_fix-spelling-in-manpage.patch
  * Update 11_arm64-cache-flush.patch
  * Refresh patches
  * Drop support for MPI 1 (Closes: #946329)
  * Install dh_view tool.
    Thanks to Sebastien Bacher for the patch. (Closes: #946640)
  * Fix path to vgdb executable in output message (Closes: #942532)
  * Fix debuginfo section duplicates a section in the main ELF file
    (Closes: #942614)
  * Update lintian overrides for renamed tags
  * Remove sgcheck paragraph from copyright

 -- Alessandro Ghedini <ghedo@debian.org>  Sun, 28 Jun 2020 18:49:18 +0100
