=== debian/control ===
--- 
+++ 
@@ -1,9 +1,8 @@
 Source: valgrind
 Section: devel
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
-Build-Depends: debhelper (>= 12),
+Maintainer: Alessandro Ghedini <ghedo@debian.org>
+Build-Depends: debhelper-compat (= 13),
  gdb,
  gcc-multilib [amd64],
  libc6-dev-i386 [amd64],
@@ -13,7 +12,7 @@
  docbook-xsl,
  docbook-xml,
  xsltproc
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
 Vcs-Git: https://salsa.debian.org/debian/valgrind.git
 Vcs-Browser: https://salsa.debian.org/debian/valgrind
 Homepage: http://www.valgrind.org/
@@ -21,8 +20,8 @@
 Package: valgrind
 Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32
 Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
-Suggests: valgrind-dbg, valgrind-mpi, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
-Recommends: gdb
+Suggests: valgrind-mpi, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
+Recommends: valgrind-dbg, gdb
 Breaks: valgrind-dev
 Replaces: valgrind-dev
 Description: instrumentation framework for building dynamic analysis tools
