## valgrind 3.17.0

=== debian/changelog ===
valgrind (1:3.17.0-0ubuntu3) impish; urgency=medium

  * d/patches0001-Update-helgrind-and-drd-suppression-libc-and-libpthr.patch,
    d/patches0002-m_debuginfo-debuginfo.c-VG_-get_fnname_kind-_start-i.patch,
    d/patches0003-Generate-a-ENOSYS-sys_ni_syscall-for-clone3-on-all-l.patch,
    d/patches0004-unhandled-ppc64le-linux-syscall-252-statfs64-and-253.patch:
    Backport patches from upstream to improve behaviour with glibc 2.34.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Mon, 06 Sep 2021 20:56:30 +1200

valgrind (1:3.17.0-0ubuntu2) impish; urgency=medium

  * d/p/lp-1853271/Bug-432387-z15-support*.patch
    adding support for IBM z15 instructions to Valgrind (LP: #1853271)
  * d/p/0001-s390x-Add-convenience-function-mkV128.patch added in support
    of the z15 patchset.

 -- Simon Chopin <simon.chopin@canonical.com>  Wed, 28 Jul 2021 12:23:48 +0200

valgrind (1:3.17.0-0ubuntu1) hirsute; urgency=medium

  * New upstream version.
  * Remove patches applied upstream.
  * LTO triggers undefined symbols in valgrind.  Valgrind has a --enable-lto
    configure time option, but that doesn't seem to help.
    Disable LTO for now.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 23 Mar 2021 11:22:21 +0100

valgrind (1:3.16.1-1ubuntu4) hirsute; urgency=medium

  * Add powerpc fixes. LP: #1916749

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 25 Feb 2021 16:11:02 +0000

valgrind (1:3.16.1-1ubuntu3) hirsute; urgency=medium

  * No change rebuild with fixed ownership.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Tue, 16 Feb 2021 15:22:46 +0000

valgrind (1:3.16.1-1ubuntu2) hirsute; urgency=medium

  * debian/patches/lp-1825343-Bug-404076-s390*.patches
    adding support for IBM z14 instructions to Valgrind
    backported three commits from valgrind > v3.16.1
    Thanks to Andreas Arnez (LP: #1825343)

 -- Frank Heimes <frank.heimes@canonical.com>  Wed, 10 Feb 2021 20:10:24 +0100

valgrind (1:3.16.1-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
    - Enable parallel builds.
    - debian/patches/armv7-illegal-opcode.patch: fix a crash due to an
      unhandled thumb instruction on armhf.
    - debian/rules: use dh_missing --fail-missing to we don't overlook not
      install files

  * Dropped changes, applied upstream or in Debian:
    - Don't look for debug alt file in debug image if it is already found.
    - Drop MPI 1 support to fix FTBFS with openmpi 4.0
    - debian/patches/usrmerge_support.patch: make valgrind aware of usrmerge;
    - Bug 416301 - s390x: Support "compare and signal" instructions.
    - Prevent valgrind trying to use unrecognised z14/z15 instructions.
    - debian/valgrind.install: include /usr/libexec/valgrind which ships
      the dh_view tools.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Thu, 09 Jul 2020 13:16:53 +0100
