=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: valgrind
 Section: devel
 Priority: optional
-Maintainer: Alessandro Ghedini <ghedo@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Alessandro Ghedini <ghedo@debian.org>
 Build-Depends: debhelper-compat (= 13),
  gdb,
  gcc-multilib [amd64],
@@ -20,8 +21,8 @@
 Package: valgrind
 Architecture: amd64 arm64 armhf i386 mips mipsel mips64 mips64el powerpc ppc64 ppc64el s390x x32
 Depends: ${misc:Depends}, ${shlibs:Depends}, libc6-dbg
-Suggests: valgrind-mpi, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
-Recommends: valgrind-dbg, gdb
+Suggests: valgrind-dbg, valgrind-mpi, kcachegrind, alleyoop, valkyrie (>> 1.3.0)
+Recommends: gdb
 Breaks: valgrind-dev
 Replaces: valgrind-dev
 Description: instrumentation framework for building dynamic analysis tools
