## valgrind 3.18.1

=== debian/changelog ===
valgrind (1:3.18.1-1ubuntu2) jammy; urgency=medium

  * d/patches/0001-Implement-linux-rseq-syscall-as-ENOSYS.patch: backport from
    upstream to handle new syscall now used by glibc 2.35.

 -- Michael Hudson-Doyle <michael.hudson@ubuntu.com>  Tue, 08 Feb 2022 12:40:42 +1300

valgrind (1:3.18.1-1ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - Lower over-inflated valgrind-dbg Recommends to Suggests instead.
    - Don't strip vgpreload* on ARM; this results in unusable stack traces
      without valgrind-dbg.
    - Configure with --enable-only64bit on AArch64.
    - Enable parallel builds.
    - debian/patches/armv7-illegal-opcode.patch: fix a crash due to an
      unhandled thumb instruction on armhf.
    - debian/rules: use dh_missing --fail-missing to we don't overlook not
      install files
    - Add powerpc fixes. LP: #1916749
    - LTO triggers undefined symbols in valgrind.  Valgrind has a --enable-lto
      configure time option, but that doesn't seem to help.
      Disable LTO for now.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 17 Jan 2022 12:04:17 +0100

valgrind (1:3.18.1-1) unstable; urgency=medium

  * New upstream release
    - Add support for close_range syscall (Closes: #996743)
  * Update d/copyright for renamed file
  * Bump Standards-Version to 4.6.0 (no changes needed)

 -- Alessandro Ghedini <ghedo@debian.org>  Fri, 22 Oct 2021 11:18:53 +0100

valgrind (1:3.17.0-1) unstable; urgency=medium

  * New upstream release (Closes: #989691)
  * Drop 12_drop-MPI-1-support.patch (fixed upstream)
  * Drop 14_fix-debuginfo-section-duplicates-a-section-in-the-main-ELF-file.patch (merged upstream)
  * Refresh patches
  * Tools are now installed under libexec
  * Avoid removing old bash completion file in mainscript
  * Avoid marking files executable unnecessarily

 -- Alessandro Ghedini <ghedo@debian.org>  Sat, 04 Sep 2021 11:15:47 +0100
