=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
  docbook-xsl,
  docbook-xml,
  xsltproc
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Git: https://salsa.debian.org/debian/valgrind.git
 Vcs-Browser: https://salsa.debian.org/debian/valgrind
 Homepage: http://www.valgrind.org/
